Default Galaxy S5830

Dear all

I have install CM10.2 on my Galaxy Ace yesterday,, everything running smooth n perfect,, but when I need to install BBM on Playstore, error message popup said Your Device isn't compatible with this Version! So I try to install through SD card and success!
But when I try to launch this Apps, Unfortunately, BBM has stopped,

Can anybody help me to resolved this case, sorry about my English,!!! Thx